summaryrefslogtreecommitdiff
path: root/games-util/dfhack/dfhack-0.34.11.3_p20130302.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'games-util/dfhack/dfhack-0.34.11.3_p20130302.ebuild')
-rw-r--r--games-util/dfhack/dfhack-0.34.11.3_p20130302.ebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/games-util/dfhack/dfhack-0.34.11.3_p20130302.ebuild b/games-util/dfhack/dfhack-0.34.11.3_p20130302.ebuild
index 0a11cbe5..a245606f 100644
--- a/games-util/dfhack/dfhack-0.34.11.3_p20130302.ebuild
+++ b/games-util/dfhack/dfhack-0.34.11.3_p20130302.ebuild
@@ -103,6 +103,14 @@ pkg_setup() {
dfhack_statedir="${GAMES_STATEDIR}/${P}"
}
+src_unpack() {
+ git-2_src_unpack
+ # git-2 doesn't do submodules properly
+ pushd "${EGIT_SOURCEDIR}" || die > /dev/null
+ git submodule update || die "could not update git submodules"
+ popd || die > /dev/null
+}
+
src_prepare() {
epatch "${FILESDIR}"/${P}/01-compile-static-libraries-as.patch
epatch "${FILESDIR}"/${P}/02-drop-strange-build-options.patch